<a name="start"></a>

Node Error
==========

_Node.js project_

#### Exposes the errno codes ####

[Show me!](#showme) | [Availability](#availability) | [Compatibility](#compatibility) | [Documentation](#documentation)

Version: 1.0.2

When you are writing a node.js module you"ll probably deal with errors. If you get a predefined error you can just throw it via a callback but if you want to instantiate a predefined one you need an errno code. Node.js does not expose these errors. Furthermore, they"re not the standard errno codes. They are defined at [`deps/uv/include/uv.h`](https://github.com/joyent/node/blob/master/deps/uv/include/uv.h).

This module eases the error management providing predefined `Error` instances for every errno code and the ability to create customized errors.

<a name="showme"></a>
#### Show me! [↑](#start) ####

```javascript
var Error = require ("errno-codes");

console.log (Error.get (Error.ENOENT));

var errno = Error.getNextAvailableErrno ();
Error.create (errno, "TEST1", "test 1");
console.log (Error.get (Error.TEST1));
console.log (Error.get ("TEST1"));
console.log (Error.get (errno));

/*
Prints:

{ [Error: ENOENT]
  errno: 34,
  code: "ENOENT",
  description: "no such file or directory" }
{ [Error: TEST1] errno: 100, code: "TEST1", description: "test 1" }
{ [Error: TEST1] errno: 100, code: "TEST1", description: "test 1" }
{ [Error: TEST1] errno: 100, code: "TEST1", description: "test 1" }
*/
```

***

<a name="availability"></a>
#### Availability [↑](#start) ####

Via npm:

```
npm install errno-codes
```

***

<a name="compatibility"></a>
#### Compatibility [↑](#start) ####

✔ Node *

***

<a name="documentation"></a>
#### Documentation [↑](#start) ####
 
[Reference](https://github.com/Gagle/Node-Error/wiki/Reference)  
[Examples](https://github.com/Gagle/Node-Error/tree/master/examples)  
[Change Log](https://github.com/Gagle/Node-Error/wiki/Change-Log)  
[MIT License](https://github.com/Gagle/Node-Error/blob/master/LICENSE)